#ifndef SIDEBARADD_H_
#define SIDEBARADD_H_

#include "Sidebar.h"
#include "EditManager.h"


class SidebarAdd : public Sidebar {
  private:
    GtkWidget *sidebar;
    GtkWidget *buttonAdd;
    
    EditManager *editor;
    
    // prevent shallow copy
    SidebarAdd(const SidebarAdd &w);
    const SidebarAdd& operator=(const SidebarAdd &w);
    
    static void buttonClicked(GtkButton *button, SidebarAdd *sidebar);
    
  public:
    SidebarAdd(EditManager *editor);
    virtual ~SidebarAdd();
    
    GtkWidget* getWidget();
    
    void update();
};

#endif /*SIDEBARADD_H_*/
